<?php
/**
 * Interior Services functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package interior_services
 */

if ( ! defined( 'INTERIOR_SERVICES_VERSION' ) ) {
	define( 'INTERIOR_SERVICES_VERSION', '1.0.0' );
}

$interior_services_theme_data = wp_get_theme();

if( ! defined( 'INTERIOR_SERVICES_THEME_VERSION' ) ) define ( 'INTERIOR_SERVICES_THEME_VERSION', $interior_services_theme_data->get( 'Version' ) );
if( ! defined( 'INTERIOR_SERVICES_THEME_NAME' ) ) define( 'INTERIOR_SERVICES_THEME_NAME', $interior_services_theme_data->get( 'Name' ) );

if ( ! function_exists( 'interior_services_setup' ) ) :
	
	function interior_services_setup() {
		
		load_theme_textdomain( 'interior-services', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'interior-services' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'interior_services_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );

		/*  Demo Import */
		require get_parent_theme_file_path( '/theme-wizard/config.php' );

	}
endif;
add_action( 'after_setup_theme', 'interior_services_setup' );

function interior_services_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'interior_services_content_width', 640 );
}
add_action( 'after_setup_theme', 'interior_services_content_width', 0 );

function interior_services_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'interior-services' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'interior-services' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$interior_services_footer_widget_column = get_theme_mod('interior_services_footer_widget_column','4');
	for ($interior_services_i=1; $interior_services_i<=$interior_services_footer_widget_column; $interior_services_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'interior-services' )  . $interior_services_i,
			'id' => 'footer-widget-' . $interior_services_i,
			'description' => __( 'The Footer Widget Area', 'interior-services' )  . $interior_services_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'interior_services_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function interior_services_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'interior-services-style', get_template_directory_uri() . '/style.css', array(), INTERIOR_SERVICES_VERSION );

	// RTL style.
	wp_style_add_data('interior-services-style', 'rtl', 'replace');

	if (get_theme_mod('interior_services_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}
	
	// Slick style.
	wp_enqueue_style( 'slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Navigation script.
	wp_enqueue_script( 'interior-services-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), INTERIOR_SERVICES_VERSION, true );

	// Custom script.
	wp_enqueue_script( 'interior-services-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), INTERIOR_SERVICES_VERSION, true );


	// Slick script.
	wp_enqueue_script( 'slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'Montserrat',
		Interior_Services_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap' ),
		array(),
		'1.0'
	);
}
add_action( 'wp_enqueue_scripts', 'interior_services_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'interior_services_products_per_page' );
function interior_services_products_per_page( $cols ) {
  	return  get_theme_mod( 'interior_services_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'interior_services_loop_columns');
	if (!function_exists('interior_services_loop_columns')) {
	function interior_services_loop_columns() {
		return get_theme_mod( 'interior_services_products_per_row', 3 );
	}
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

function interior_services_links_setup() {
	if ( ! defined( 'INTERIOR_SERVICES_PREMIUM_PAGE' ) ) {
	define('INTERIOR_SERVICES_PREMIUM_PAGE',__('https://asterthemes.com/products/interior-design-wordpress-theme','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_THEME_PAGE' ) ) {
		define('INTERIOR_SERVICES_THEME_PAGE',__('https://asterthemes.com/products/interior-services','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_SUPPORT' ) ) {
	define('INTERIOR_SERVICES_SUPPORT',__('https://wordpress.org/support/theme/interior-services/','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_REVIEW' ) ) {
	define('INTERIOR_SERVICES_REVIEW',__('https://wordpress.org/support/theme/interior-services/reviews/','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_PRO_DEMO' ) ) {
	define('INTERIOR_SERVICES_PRO_DEMO',__('https://demo.asterthemes.com/interior-services/','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_THEME_DOCUMENTATION' ) ) {
	define('INTERIOR_SERVICES_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/interior-services-free/','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_PREMIUM_DOCUMENTATION' ) ) {
	define('INTERIOR_SERVICES_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/interior-services-pro/','interior-services'));
	}
	if ( ! defined( 'INTERIOR_SERVICES_BUNDLE_PAGE' ) ) {
		define('INTERIOR_SERVICES_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','interior-services'));
	}
}
add_action('after_setup_theme', 'interior_services_links_setup');

// Enqueue Customizer live preview script
function interior_services_customizer_live_preview() {
    wp_enqueue_script(
        'interior-services-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'interior_services_customizer_live_preview');

// Featured Image Dimension
function interior_services_blog_post_featured_image_dimension(){
	if(get_theme_mod('interior_services_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

// Reset all theme settings
function interior_services_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('interior_services_enable_header_search_section');
		remove_theme_mod('interior_services_phone_number_text');
		remove_theme_mod('interior_services_phone_number');
		remove_theme_mod('interior_services_enable_slider_section');
		remove_theme_mod('interior_services_slider_heading');
		remove_theme_mod('interior_services_slider_button_label');
		remove_theme_mod('interior_services_slider_button_link');
		remove_theme_mod('interior_services_slider_slider_category');
		remove_theme_mod('interior_services_enable_services_section');
		remove_theme_mod('interior_services_trending_post_content');
		remove_theme_mod('interior_services_trending_post_heading');
		remove_theme_mod('interior_services_services_post_count');
		remove_theme_mod('interior_services_services_name');
		remove_theme_mod('interior_services_services_icon');
		remove_theme_mod('interior_services_services_content_post_');

        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'interior-services')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'interior-services')));
    }
}
add_action('wp_ajax_interior_services_reset_demo_import_settings', 'interior_services_reset_demo_import_settings'); 